//led.c
#include <iolpc2103.h>
#include "led.h"

//it's a simple delay
void sDelay (unsigned long a) {
  a = a*100;
  while (--a!=0);
}

// init led port
void LedInit(void) {
  IODIR_bit.P0_26 = 1;    // set Port0.24 to output
  IOSET_bit.P0_26 = 1;    // off led
}

// single blink led 1
void Led1Blink(void) {
  IOCLR_bit.P0_26 = 1;   // on led
  sDelay(10000);         // delay
  IOSET_bit.P0_26 = 1;   // off led
  sDelay(10000);         // delay
}

// num times blink led 1
void Led1BlinkN(char num) {

  while(num!=0) {
    IOCLR_bit.P0_26 = 1;   // on led
    sDelay(10000);         // delay
    IOSET_bit.P0_26 = 1;   // off led
    sDelay(10000);         // delay
    num--;
    sDelay(10000);         // delay
  }
}

// turn on led 1
void Led1On(void) {
  IOCLR_bit.P0_26 = 1;    //on led
}

// turn off led 1
void Led1Off(void) {
  IOSET_bit.P0_26 = 1;    //off led
}

// led blink when err
void LedErrorBlink(void) {

  IOCLR_bit.P0_26 = 1;   // on led
  sDelay(5000);          // delay
  IOSET_bit.P0_26 = 1;   // off led
  sDelay(5000);          // delay

  IOCLR_bit.P0_26 = 1;   // on led
  sDelay(5000);          // delay
  IOSET_bit.P0_26 = 1;   // off led
  sDelay(5000);          // delay

  sDelay(20000);

}
