//rtc.c
#include <iolpc2103.h>
#include "rtc.h"

void InitRTC()
{
  CCR_bit.CLKEN   = 0;  //disable rtc
  CCR_bit.CTCRST  = 0;  //disable reset
  CCR_bit.CTTEST  = 0;  //disable test

  CCR_bit.CLKSRC  = 1;  // select 32 kHz clock crystal

  AMR = 0;              //initialize interrupt mask register of RTC
  CIIR_bit.IMSEC  = 1;  //enable interupt every seconds

  ILR=0x3;              //clear all interrupt of RTC

  //SEC = 0;              //clear sec counter

  CCR_bit.CLKEN   = 1;  //rtc enable
}

